function zs_new = ContourMagnifyZ(zs,magnify)
% expands or shrinks a contour by specified magnify factor (same for x and y directions)
% around its centroid
% inputs:
%   zs: a 1D array with locations (x+iy)
%  outputs:
%   zs_new: the magnified contour
%  REA 5/9/06

zsmean = mean(zs(:));

zs_new = magnify*(zs - zsmean) + zsmean;