function imsgray(roi,show_impixelinfo,h)
% function imsgray(roi,show_impixelinfo,h)
% show an image as grayscale. Sets range to display as mean +- 2.5*dev
% inputs:
%  roi: image to display
%  show_impixelinfo (optional = true). put up the impixelinfo display
%  h = (optional= gcf) figure handle to use
% REA 3/3/04-6/20/05

if exist('h','var')
   figure(h);
else
    h = gcf;
end
 roi = double(roi); % matlab is now more picky about datatypes
ave = mean(roi(:));
dev = std(roi(:));

if(dev>0)
  imshow(roi,[(ave-2.5*dev) (ave + 2.5*dev)],'initialmagnification','fit'); 
else
  imshow(roi,[]);
end

axis image
  % the || operator quits immediately if result is specified
if ( ~exist('show_impixelinfo','var') ||show_impixelinfo ), impixelinfo(h); end